# Copyright (C) 2017-2026 Stephan Kreutzer
#
# This file is part of hyperdex_1 workflow, a submodule of the
# digital_publishing_workflow_tools package.
#
# hyperdex_1 workflow is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License version 3 or any later version,
# as published by the Free Software Foundation.
#
# hyperdex_1 workflow is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License 3 for more details.
#
# You should have received a copy of the GNU Affero General Public License 3
# along with hyperdex_1 workflow. If not, see <http://www.gnu.org/licenses/>.

messageArgumentsMissingUsage = Usage:
messageParameterList = job-file result-info-file
messageResultInfoFileCantGetCanonicalPath = Can''t get canonical path of result information file "{0}".
messageResultInfoFileIsntWritable = Result information file "{0}" isn''t writable.
messageResultInfoPathIsntAFile = Result information path "{0}" exists already but doesn''t reference a file.
messageCantDetermineProgramPath = Can''t determine program path.
messageJobFileCantGetCanonicalPath = Can''t get canonical path of the job file "{0}".
messageJobFileDoesntExist = Job file "{0}" doesn''t exist.
messageJobPathIsntAFile = Job path "{0}" isn''t a file.
messageJobFileIsntReadable = Job file "{0}" isn''t readable.
messageCallDetails = Called with job file "{0}" and result information file "{1}".
messageJobFileElementConfiguredMoreThanOnce = Element "{1}" in job file "{0}" configured more than once.
messageJobFileEntryIsMissingAnAttribute = Element "{1}" in job file "{0}" is missing its "{2}" attribute.
messageJobFileOutputDirectoryCantGetCanonicalPath = Can''t get canonical path of the output directory "{1}" as specified in job file "{0}".
messageJobFileOutputDirectoryIsntWritable = Output directory "{1}" as specified in job file "{0}" isn''t writable.
messageJobFileOutputPathIsntADirectory = Output path "{1}" as specified in job file "{0}" isn''t a directory.
messageJobFileOutputDirectoryCantCreate = Can''t create output directory "{1}" as specified in job file "{0}".
messageJobFileStartDirectoryCantGetCanonicalPath = Can''t get canonical path of start directory "{1}" as configured in job file "{0}".
messageJobFileInputFileCantGetCanonicalPath = Can''t get canonical path of input file "{1}" as specified in jobfile "{0}".
messageJobFileInputFileDoesntExist = Input file "{1}" as specified in job file "{0}" doesn''t exist.
messageJobFileInputPathIsntAFile = Input path "{1}" as specified in job file "{0}" isn''t a file.
messageJobFileInputFileIsntReadable = Input file "{1}" as specified in job file "{0}" isn''t readable.
messageJobFileInputFileSelectionExtensionSpecifiedMoreThanOnce = The file name extension "{1}" was specified more than once in job file "{0}".
messageJobFileErrorWhileReading = An error occurred while reading job file "{0}".
messageTempDirectoryCantGetCanonicalPath = Can''t get canonical path of temp directory "{0}".
messageTempDirectoryIsntWritable = Temporary directory "{0}" isn''t writable.
messageTempPathIsntADirectory = Temporary path "{0}" isn''t a directory.
messageTempDirectoryCantCreate = Can''t create temporary directory "{0}".
messageFilePicker1OutputDirectoryJobFileExistsButIsntWritable = The file_picker_1 job file "{0}" does already exist, but isn''t overwritable.
messageFilePicker1OutputDirectoryJobPathExistsButIsntAFile = The file_picker_1 job path "{0}" does already exist, but isn''t a file.
messageFilePicker1OutputDirectoryResultInfoFileExistsButIsntWritable = The file_picker_1 result information file "{0}" does already exist, but isn''t overwritable.
messageFilePicker1OutputDirectoryResultInfoPathExistsButIsntAFile = The file_picker_1 result information path "{0}" does exist, but isn''t a file.
windowTitleSelectOutputDirectory = Select Output Directory
messageFilePicker1OutputDirectoryJobFileWritingError = An error occurred while writing the file_picker_1 job file "{0}".
messageFilePicker1OutputDirectoryErrorWhileReadingOutput = An error occurred while reading output of file_picker_1.
messageFilePicker1OutputDirectoryResultInfoFileDoesntExistButShould = The file_picker_1 result information file "{0}" doesn''t exist, but should by now.
messageFilePicker1OutputDirectoryResultInfoFileIsntReadable = The file_picker_1 result information file "{0}" isn''t readable.
messageFilePicker1OutputDirectoryResultInfoFileElementConfiguredMoreThanOnce = Element "{1}" in file_picker_1 result information file "{0}" configured more than once.
messageFilePicker1OutputDirectoryResultInfoFileOutputDirectoryCantGetCanonicalPath = Can''t get canonical path of the output directory "{1}" as specified in file_picker_1 result information file "{0}".
messageFilePicker1OutputDirectoryResultInfoFileOutputDirectoryIsntWritable = Output directory "{1}" as specified in file_picker_1 result information file "{0}" isn''t writable.
messageFilePicker1OutputDirectoryResultInfoFileOutputPathIsntADirectory = Output path "{1}" as specified in file_picker_1 result information file "{0}" isn''t a directory.
messageFilePicker1OutputDirectoryResultInfoFileOutputDirectoryCantCreate = Can''t create output directory "{1}" as specified in file_picker_1 result information file "{0}".
messageFilePicker1OutputDirectoryResultInfoFileErrorWhileReading = An error occurred while reading the file_picker_1 result information file "{0}".
messageFilePicker1OutputDirectoryCallWasntSuccessful = The call of file_picker_1 wasn''t successful.
messageFilePicker1OutputDirectoryResultInfoFileSelectedDirectoryIsntConfigured = No output directory configured in file_picker_1 result information file "{0}".
messageOutputDirectoryOutputFilePathAlreadyExists = The file path for the output file "{1}" in the output directory "{0}" does already exist.
messageOutputDirectoryOutputDimgraPathAlreadyExists = The file path for the dimgra output file "{1}" in the output directory "{0}" does already exist.
messageOptionPicker1ResultInfoFileExistsButIsntWritable = The option_picker_1 result information file "{0}" does already exist, but isn''t overwritable.
messageOptionPicker1ResultInfoPathExistsButIsntAFile = The option_picker_1 result information path "{0}" exists, but isn''t a file.
messageOptionPicker1ErrorWhileReadingOutput = An error occurred while reading output of option_picker_1.
messageOptionPicker1ResultInfoFileDoesntExistButShould = The option_picker_1 result information file "{0}" doesn''t exist, but should by now.
messageOptionPicker1ResultInfoFileIsntReadable = The option_picker_1 result information file "{0}" isn''t readable.
messageOptionPicker1ResultInfoFileErrorWhileReading = An error occurred while reading the option_picker_1 result information file "{0}".
messageOptionPicker1CallWasntSuccessful = The call of option_picker_1 wasn''t successful.
messageOptionPicker1CallAborted = Aborted by user.
messageFilePicker1InputFileJobFileExistsButIsntWritable = The file_picker_1 job file "{0}" does already exist, but isn''t overwritable.
messageFilePicker1InputFileJobPathExistsButIsntAFile = The file_picker_1 job path "{0}" does already exist, but isn''t a file.
messageFilePicker1InputFileResultInfoFileExistsButIsntWritable = The file_picker_1 result information file "{0}" does already exist, but isn''t overwritable.
messageFilePicker1InputFileResultInfoPathExistsButIsntAFile = The file_picker_1 result information path "{0}" does exist, but isn''t a file.
windowTitleSelectInputFile = Select Input File
messageFilePicker1InputFileJobFileWritingError = An error occurred while writing the file_picker_1 job file "{0}".
messageFilePicker1InputFileErrorWhileReadingOutput = An error occurred while reading output of file_picker_1.
messageFilePicker1InputFileResultInfoFileDoesntExistButShould = The file_picker_1 result information file "{0}" doesn''t exist, but should by now.
messageFilePicker1InputFileResultInfoFileIsntReadable = The file_picker_1 result information file "{0}" isn''t readable.
messageFilePicker1InputFileResultInfoFileElementConfiguredMoreThanOnce = Element "{1}" in file_picker_1 result information file "{0}" configured more than once.
messageFilePicker1InputFileResultInfoFileCantGetCanonicalPath = Can''t get canonical path of the input file "{1}" as specified in file_picker_1 result information file "{0}".
messageFilePicker1InputFileResultInfoFileSelectedFileDoesntExist = Input text file "{1}", configured in file_picker_1 result information file "{0}", doesn''t exist.
messageFilePicker1InputFileResultInfoFileSelectedPathIsntAFile = Input path "{1}", configured in file_picker_1 result information file "{0}", isn''t a file.
messageFilePicker1InputFileResultInfoFileSelectedFileIsntReadable = Input text file "{1}", configured in file_picker_1 result information file "{0}", isn''t readable.
messageFilePicker1InputFileResultInfoFileErrorWhileReading = An error occurred while reading the file_picker_1 result information file "{0}".
messageFilePicker1InputFileCallWasntSuccessful = The call of file_picker_1 wasn''t successful.
messageFilePicker1InputFileResultInfoFileSelectedFileIsntConfigured = No input text file configured in file_picker_1 result information file "{0}".
messageInputFileAnalyzerErrorWhileReading = An error occurred while reading the selected input file "{0}".
messageInputFileDoesntContainHyperdex1Data = The input file "{0}" doesn''t contain hyperdex_1 data.
messageOptionPicker1CallReturnedSelectionIdNotSupported = The selection ID "{0}" as the result of the option_picker_1 call isn''t supported.
messageHyperdex1JobFileExistsButIsntWritable = The hyperdex_1 job file "{0}" does already exist, but isn''t overwritable.
messageHyperdex1JobPathExistsButIsntAFile = The hyperdex_1 job path "{0}" does already exist, but isn''t a file.
messageHyperdex1ResultInfoFileExistsButIsntWritable = The hyperdex_1 result information file "{0}" does already exist, but isn''t overwritable.
messageHyperdex1ResultInfoPathExistsButIsntAFile = The hyperdex_1 result information path "{0}" does exist, but isn''t a file.
messageHyperdex1JobFileWritingError = An error occurred while writing the hyperdex_1 job file "{0}".
messageHyperdex1ErrorWhileReadingOutput = An error occurred while reading output of hyperdex_1.
messageHyperdex1ResultInfoFileDoesntExistButShould = The hyperdex_1 result information file "{0}" doesn''t exist, but should by now.
messageHyperdex1ResultInfoFileIsntReadable = The hyperdex_1 result information file "{0}" isn''t readable.
messageHyperdex1ResultInfoFileErrorWhileReading = An error occurred while reading the hyperdex_1 result information file "{0}".
messageHyperdex1CallWasntSuccessful = The call of hyperdex_1 wasn''t successful.
messageXmlXsltTransformator1JobFileExistsButIsntWritable = The xml_xslt_transformator_1 job file "{0}" does already exist, but isn''t overwritable.
messageXmlXsltTransformator1JobPathExistsButIsntAFile = The xml_xslt_transformator_1 job path "{0}" does already exist, but isn''t a file.
messageXmlXsltTransformator1ResultInfoFileExistsButIsntWritable = The xml_xslt_transformator_1 result information file "{0}" does already exist, but isn''t overwritable.
messageXmlXsltTransformator1ResultInfoPathExistsButIsntAFile = The xml_xslt_transformator_1 result information path "{0}" does exist, but isn''t a file.
messageXmlXsltTransformator1JobFileWritingError = An error occurred while writing the xml_xslt_transformator_1 job file "{0}".
messageXmlXsltTransformator1ErrorWhileReadingOutput = An error occurred while reading output of xml_xslt_transformator_1.
messageXmlXsltTransformator1ResultInfoFileDoesntExistButShould = The xml_xslt_transformator_1 result information file "{0}" doesn''t exist, but should by now.
messageXmlXsltTransformator1ResultInfoFileIsntReadable = The xml_xslt_transformator_1 result information file "{0}" isn''t readable.
messageXmlXsltTransformator1ResultInfoFileErrorWhileReading = An error occurred while reading the xml_xslt_transformator_1 result information file "{0}".
messageXmlXsltTransformator1CallWasntSuccessful = The call of xml_xslt_transformator_1 wasn''t successful.
